- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::VWN4LCFunctional Class Reference

The VWN4LCFunctional computes energies and densities using the VWN4 local correlation term (from Vosko, Wilk, and Nusair). More...

`#include <functional.h>`

Inheritance diagram for sc::VWN4LCFunctional:

List of all members.

## Public Member Functions
| VWN4LCFunctional (const Ref< KeyVal > &)
| VWN4LCFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)
## Protected Attributes
int | monte_carlo_prefactor_

## Detailed Description

The VWN4LCFunctional computes energies and densities using the VWN4 local correlation term (from Vosko, Wilk, and Nusair).

## Member Function Documentation

void sc::VWN4LCFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::VWNLCFunctional.

The documentation for this class was generated from the following file:

- functional.h